/*  Copyright (C) 2013 Zoltán Nagy
 *  Created by Zoltán Nagy on 12/21/13.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __mc_default_pdfs_h__
#define __mc_default_pdfs_h__ 1


namespace duct {
  
  
  /*   this is the proton pdf funtion at the fitting scale (MSTW 2008 LO)   */
  void __mstw2008lo(double, double *);
  
  /*  The MSTW2008 LO was fitted with LO coupling.
   *  alpha_s(Mz) = 0.130087
   */
  double __mstw2008lo_as(double);
  
  
  
  /*   this is the proton pdf funtion at the fitting scale (NNPDF 2.3 LO as = 0.119)   */
  void __nnpdf23lo(double, double *);
  
  /*  NNPDF 2.3 LO was fitted with LO coupling.
   *  alpha_s(Mz) = 0.119
   */
  double __nnpdf23lo_as(double);
  
  
  
  /*   this is the proton pdf funtion at the fitting scale (HERA PDF LO)   */
  void __herapdflo(double, double *);
  
  /*  HERAPDF LO was fitted with LO coupling.
   *  alpha_s(Mz) = 0.118306
   */
  double __herapdflo_as(double);
  
  
  
  /*   this is the proton pdf funtion at the fitting scale (HERAPDF LO)
   *   Q0 = 1GeV, alpha_s(Mz) = 0.121839 ==> as*(1+as/(2pi) K) = 0.13
   */
  void __herapdflo_hi(double, double *);
  
  /*  HERAPDF LO was fitted with LO coupling.
   *  alpha_s(Mz) = 0.121839 ==> as*(1+as/(2pi) K) = 0.13
   */
  double __herapdflo_hi_as(double);

  
  
}

#endif
