/*  Copyright (C) 2011-2013 Zoltán Nagy
 *  Created by Zoltan Nagy on 13/5/11.
 *  
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef __nlo_qcd_color_h__
#define __nlo_qcd_color_h__ 1



namespace duct {
  
  
  //----- color factors (SU(N) and Tr = 0.5) -----
  constexpr double Nc  = 3.0;                         //   Nc  = 3;
  constexpr double Na  = 8.0;                         //   Na  = Nc^2-1;
  constexpr double Nc2 = 9.0;                         //   Nc2 = Nc^2;
  constexpr double Na2 = 64.0;                        //   Na2 = Na^2;
  constexpr double Cf  = 1.33333333333333333333;      //   Cf  = Na/(2*Nc)
  constexpr double Ca  = 3.0;                         //   Ca  = Nc;
  constexpr double Gq  = 2.0;                         //   Gq  = 1.5*Cf 

  
  inline double Gg(unsigned int nf) {
    return (11.0*Ca - 2.0*nf)/6.0;
  }
  
  inline double beta0(unsigned int nf) {
    return (11.0*Ca - 2.0*nf)/3.0;
  }
  
  inline double beta1(unsigned int nf) {
    return (17.0*Ca*Ca - 3.0*Cf*nf - 5.0*Ca*nf)/3.0;
  }
  
  inline double Kq() {
    return 2.47342124420236475137;
  }
  
  inline double Kg(unsigned int nf) {
    return 2.07728815537399578575*Ca - 0.55555555555555555555*nf;
  }

}
#endif
