/*  Copyright (C) 2013 Zoltán Nagy
 *  Created by Zoltán Nagy on 9/25/13.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __deductor_user_h__
#define __deductor_user_h__ 1


/*   project headers   */
#include <bits/mc-basic-user.h>


namespace duct {

  /*   alias for the list of the collect_and_print functions   */
  using main_add_list = std::list<std::pair<std::string, unsigned long long (*)(const char *, const char **)>>;

  
  /*  This little function help us to build the main_add function in the user module.  */
  template<class _User> inline
  std::pair<std::string, unsigned long long (*)(const char *, const char **)>
  to_main_add(const char *name)
  {
    return {name, _User::collect_and_print};
  }

}

#endif
