/*  Copyright (C) 2012-2013 Zoltn Nagy
 *  Created by Zoltn Nagy on 16/2/12.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>. 
 */
#ifndef __deductor_proc_epajets_h__
#define __deductor_proc_epajets_h__ 1

//   std includes

//   project headers
#include <bits/mc-emission.h>

namespace duct {
  
  
  class epajets : public hard_state<epa>
  {
  public:
    //----- constructor -----
    explicit epajets(const model*, double);

    //----- generates the hard event -----
    shower_stage<epa>& operator()(random_engine_type&);
    
    /*   function to clone the objects   */
    hard_state<epa> * clone() const {
      return new epajets(*this);
    };

  private:
    //----- private members ------
    double _M_Ecm, _M_cp[6]; 
    const model *_M_mdl;
  };
 
  
}


#endif
